{
    "layer": "top",
    "position": "top",
    "mode": "dock",
    "exclusive": true,
    "passthrough": false,
    "gtk-layer-shell": true,
    "height": 40,
    "modules-left": [
        "custom/launcher",
        "custom/hostname",
        "hyprland/workspaces"
    ],
    "modules-center": ["hyprland/window"],
    "modules-right": [
        "tray",
        "custom/updates",
        "memory",
        "cpu",
        "network",
//        "battery",
//        "backlight",
        "idle_inhibitor",
        "pulseaudio",
        "pulseaudio#microphone",
        "clock"
//        "custom/power",
    ],

      "custom/hostname" :{
        "format": "{}",
        "return-type":"text",
        "exec": "hostnamectl hostname"
      },

      "custom/updates": {
        "format": "{} {icon}",
        "return-type": "json",
        "format-icons": {
            "has-updates": "󱍷",
            "updated": "󰂪"
        },
        "exec-if": "which waybar-module-pacman-updates",
        "exec": "waybar-module-pacman-updates --interval-seconds 5 --network-interval-seconds 300"
      },

    "hyprland/window": {
        "format": "󰣇 {}"
    },
    
    "hyprland/workspaces": {
        "disable-scroll": true,
        "all-outputs": true,
        "on-click": "activate",
//        "format": "{icon}",
    },

    "tray": {
        "icon-size": 24,
        "spacing": 10
    },

    "clock": {
        "format": "  {:%H:%M}",
        "format-alt": "  {:%Y-%m-%d    %H:%M}",
        "interval": 1,
        "rotate": 0,
        "tooltip-format": "<tt>{calendar}</tt>",
        "calendar": {
            "mode": "month",
            "mode-mon-col": 3,
            "on-scroll": 1,
            "on-click-right": "mode",
            "format": {
                "months": "<span color='#a6adc8'><b>{}</b></span>",
                "weekdays": "<span color='#a6adc8'><b>{}</b></span>",
                "today": "<span color='#a6adc8'><b>{}</b></span>",
                "days": "<span color='#555869'><b>{}</b></span>"
            }
        }
    },

//    "backlight": {
//        "device": "intel_backlight",
//        "format": "{icon} {percent}%",
//        "format-icons": ["󰃞", "󰃟", "󰃠"],
//        "on-scroll-up": "brightnessctl set 1%+",
//        "on-scroll-down": "brightnessctl set 1%-",
//        "min-length": 6
//    },

//    "battery": {
//        "states": {
//            "good": 95,
//            "warning": 30,
//            "critical": 20
//        },
//        "format": "{icon} {capacity}%",
//        "format-charging": " {capacity}%",
//        "format-plugged": " {capacity}%",
//        "format-alt": "{time} {icon}",
//        "format-icons": ["󰂃", "󰁺", "󰁻", "󰁼", "󰁽", "󰁾", "󰁿", "󰂀", "󰂁", "󰂂", "󰁹"]
//    },

    "pulseaudio": {
        "format": "{icon}  {volume}%",
        "tooltip": false,
        "format-muted": "  Muted",
        "on-click": "pamixer -t",
        "on-scroll-up": "pamixer -i 5",
        "on-scroll-down": "pamixer -d 5",
        "scroll-step": 5,
        "max-volume": 100,
        "format-icons": {
            "headphone": "",
            "hands-free": "",
            "headset": "",
            "phone": "",
            "portable": "",
            "car": "",
            "default": ["","", "", ""]
        }
    },

    "pulseaudio#microphone": {
        "format": "{format_source}",
        "format-source": " {volume}%",
        "format-source-muted": "  Muted",
        "on-click": "pamixer --default-source -t",
        "on-scroll-up": "pamixer --default-source -i 5",
        "on-scroll-down": "pamixer --default-source -d 5",
        "scroll-step": 5,
        "max-volume": 100,
    },

    "memory": {
        "states": {
            "c": 90, // critical
            "h": 60, // high
            "m": 30 // medium
        },
        "interval": 10,
        "format": "󰾆 {used}GB",
        "format-m": "󰾅 {used}GB",
        "format-h": "󰓅 {used}GB",
        "format-c": " {used}GB",
        "format-alt": "󰾆 {percentage}%",
        "max-length": 10,
        "tooltip": true,
        "tooltip-format": "󰾆 {percentage}%\n {used:0.1f}GB/{total:0.1f}GB"
    },

    "cpu": {
        "interval": 1,
        "format": "󰍛 {usage}%",
        "format-alt": "{icon0}{icon1}{icon2}{icon3}{icon4}{icon5}{icon6}{icon7}",
        "format-icons": [
          "<span color='#69ff94'>▁</span>", // green
          "<span color='#2aa9ff'>▂</span>", // blue
          "<span color='#f8f8f2'>▃</span>", // white
          "<span color='#f8f8f2'>▄</span>", // white
          "<span color='#ffffa5'>▅</span>", // yellow
          "<span color='#ffffa5'>▆</span>", // yellow
          "<span color='#ff9977'>▇</span>", // orange
          "<span color='#dd532e'>█</span>"  // red
        ]
    },

    "idle_inhibitor" : {
        "format": "{icon}",
        "tooltip": true,
        "format-icons":{
            "activated":"󰈈 ",
            "deactivated":"󰈉 "
        },
        "on-click-right":"hyprlock"
    },

    "network": {
        "tooltip": true,
        "format-wifi": "  {essid}",
        "format-ethernet": "󰈀 ",
        "tooltip-format": "Network: <big><b>{essid}</b></big>\nSignal strength: <b>{signaldBm}dBm ({signalStrength}%)</b>\nFrequency: <b>{frequency}MHz</b>\nInterface: <b>{ifname}</b>\nIP: <b>{ipaddr}/{cidr}</b>\nGateway: <b>{gwaddr}</b>\nNetmask: <b>{netmask}</b>",
        "format-linked": "󰈀 {ifname} (No IP)",
        "format-disconnected": "󰖪 ",
        "tooltip-format-disconnected": "Disconnected",
        "format-alt": "<span foreground='#99ffdd'> {bandwidthDownBytes}</span> <span foreground='#ffcc66'> {bandwidthUpBytes}</span>",
        "interval": 2
    },

    "custom/launcher": {
      "format": " ",
      "on-click": "exec nwg-drawer -c 7 -is 96 -spacing 24",
      "tooltip": false
    },
    "custom/power": {
      "format": "⏻",
      "on-click": "nwgbar",
      "tooltip": false
    },
}
